Index: /trunk/BNC/RTCM3/RTCM3coDecoder.cpp
===================================================================
--- /trunk/BNC/RTCM3/RTCM3coDecoder.cpp	(revision 3023)
+++ /trunk/BNC/RTCM3/RTCM3coDecoder.cpp	(revision 3024)
@@ -208,5 +208,5 @@
 
         QStringList asciiLines = corrsToASCIIlines(GPSweek, _GPSweeks, 
-                                                   _co, _bias);
+                                                   _co, &_bias);
 
         long coTime = GPSweek * 7*24*3600 + long(floor(_GPSweeks+0.5));
@@ -246,5 +246,5 @@
 QStringList RTCM3coDecoder::corrsToASCIIlines(int GPSweek, double GPSweeks,
                                               const ClockOrbit& co,
-                                              const Bias& bias) {
+                                              const Bias* bias) {
 
   QStringList retLines;
@@ -266,4 +266,5 @@
       sysCh = 'R';
     }
+
     if (sysCh != ' ') {
 
@@ -350,34 +351,36 @@
   // Loop over all satellites (GPS and Glonass)
   // ------------------------------------------
-  if (bias.NumberOfGPSSat > 0 || bias.NumberOfGLONASSSat > 0) {
-    QString line1;
-    line1.sprintf("! Biases: %d GPS %d Glonass",
-                  bias.NumberOfGPSSat, bias.NumberOfGLONASSSat);
-    retLines << line1;
-  }
-  for (int ii = 0; ii < CLOCKORBIT_NUMGPS + bias.NumberOfGLONASSSat; ii++) {
-    char sysCh = ' ';
-    int messageType;
-    if      (ii < bias.NumberOfGPSSat) {
-      sysCh = 'G';
-      messageType = BTYPE_GPS;
-    }
-    else if (ii >= CLOCKORBIT_NUMGPS) {
-      sysCh = 'R';
-      messageType = BTYPE_GLONASS;
-    }
-    if (sysCh != ' ') {
-      QString line;
-      line.sprintf("%d %d %d %.1f %c%2.2d %d", 
-                   messageType, bias.UpdateInterval, GPSweek, GPSweeks, 
-                   sysCh, bias.Sat[ii].ID,
-                   bias.Sat[ii].NumberOfCodeBiases);
-      for (int jj = 0; jj < bias.Sat[ii].NumberOfCodeBiases; jj++) {
-        QString hlp;
-        hlp.sprintf(" %d %8.3f",  bias.Sat[ii].Biases[jj].Type,
-                    bias.Sat[ii].Biases[jj].Bias);
-        line += hlp;
-      }
-      retLines << line;
+  if (bias) {
+    if (bias->NumberOfGPSSat > 0 || bias->NumberOfGLONASSSat > 0) {
+      QString line1;
+      line1.sprintf("! Biases: %d GPS %d Glonass",
+                    bias->NumberOfGPSSat, bias->NumberOfGLONASSSat);
+      retLines << line1;
+    }
+    for (int ii = 0; ii < CLOCKORBIT_NUMGPS + bias->NumberOfGLONASSSat; ii++) {
+      char sysCh = ' ';
+      int messageType;
+      if      (ii < bias->NumberOfGPSSat) {
+        sysCh = 'G';
+        messageType = BTYPE_GPS;
+      }
+      else if (ii >= CLOCKORBIT_NUMGPS) {
+        sysCh = 'R';
+        messageType = BTYPE_GLONASS;
+      }
+      if (sysCh != ' ') {
+        QString line;
+        line.sprintf("%d %d %d %.1f %c%2.2d %d", 
+                     messageType, bias->UpdateInterval, GPSweek, GPSweeks, 
+                     sysCh, bias->Sat[ii].ID,
+                     bias->Sat[ii].NumberOfCodeBiases);
+        for (int jj = 0; jj < bias->Sat[ii].NumberOfCodeBiases; jj++) {
+          QString hlp;
+          hlp.sprintf(" %d %8.3f",  bias->Sat[ii].Biases[jj].Type,
+                      bias->Sat[ii].Biases[jj].Bias);
+          line += hlp;
+        }
+        retLines << line;
+      }
     }
   }
Index: /trunk/BNC/RTCM3/RTCM3coDecoder.h
===================================================================
--- /trunk/BNC/RTCM3/RTCM3coDecoder.h	(revision 3023)
+++ /trunk/BNC/RTCM3/RTCM3coDecoder.h	(revision 3024)
@@ -46,5 +46,5 @@
 
   static QStringList corrsToASCIIlines(int GPSweek, double GPSweeks, 
-                                       const ClockOrbit& co, const Bias& _bias);
+                                       const ClockOrbit& co, const Bias* bias);
 
  signals:
Index: /trunk/BNC/combination/bnccomb.cpp
===================================================================
--- /trunk/BNC/combination/bnccomb.cpp	(revision 3023)
+++ /trunk/BNC/combination/bnccomb.cpp	(revision 3024)
@@ -333,4 +333,15 @@
     }
   }
+
+  co.messageType = COTYPE_GPSCOMBINED;
+
+  QStringList asciiLines = 
+    RTCM3coDecoder::corrsToASCIIlines(resTime.gpsw(), resTime.gpssec(), co, 0);
+
+  QStringListIterator il(asciiLines);
+  while (il.hasNext()) {
+    QString line = il.next();
+    cout << line.toAscii().data() << endl;
+  }
 }
 
Index: /trunk/BNC/combination/bnccomb.h
===================================================================
--- /trunk/BNC/combination/bnccomb.h	(revision 3023)
+++ /trunk/BNC/combination/bnccomb.h	(revision 3024)
@@ -34,4 +34,5 @@
  signals:
   void newMessage(QByteArray msg, bool showOnScreen);
+  void newCorrLine(QString line, QString staID, long coTime);
 
  private: