Index: trunk/BNC/bnchelp.html
===================================================================
--- trunk/BNC/bnchelp.html	(revision 2998)
+++ trunk/BNC/bnchelp.html	(revision 3061)
@@ -203,31 +203,41 @@
 &nbsp; &nbsp; &nbsp; 3.11.9 <a href=#pppoptcont2>Options cont'd</a><br>
 &nbsp; &nbsp; &nbsp; 3.11.9.1 <a href=#pppsync>Sync Corr</a><br>
-&nbsp; &nbsp; &nbsp; 3.11.9.2 <a href=#pppaverage>Averaging</a><br><br>
-3.12. <a href=#streams>Streams</a><br>
-&nbsp; &nbsp; &nbsp; 3.12.1 <a href=#streamedit>Edit Streams</a><br>
-&nbsp; &nbsp; &nbsp; 3.12.2 <a href=#streamdelete>Delete Stream</a><br>
-&nbsp; &nbsp; &nbsp; 3.12.3 <a href=#streamconf>Reconfigure Streams On-the-fly</a><br><br>
-3.13. <a href=#logs>Logging</a><br><br>
-&nbsp; &nbsp; &nbsp; 3.13.1 <a href=#logfile>Log</a><br>
-&nbsp; &nbsp; &nbsp; 3.13.2 <a href=#throughput>Throughput</a><br>
-&nbsp; &nbsp; &nbsp; 3.13.3 <a href=#latency>Latency</a><br>
-&nbsp; &nbsp; &nbsp; 3.13.4 <a href=#ppptab>PPP Plot</a><br><br>
-3.14. <a href=#bottom>Bottom Menu Bar</a><br>
-&nbsp; &nbsp; &nbsp; 3.14.1. <a href=#streamadd>Add Stream - Coming from Caster</a><br>
-&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; 3.14.1.1 <a href=#streamhost>Caster Host and Port</a><br>
-&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; 3.14.1.2 <a href=#streamtable>Casters Table</a><br>
-&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; 3.14.1.3 <a href=#streamuser>User and Password</a><br>
-&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; 3.14.1.4 <a href=#gettable>Get Table</a><br>
-&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; 3.14.1.5 <a href=#ntripv>NTRIP Version</a><br>
-&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; 3.14.1.6 <a href=#map>Map</a><br>
-&nbsp; &nbsp; &nbsp; 3.14.2 <a href=#streamip>Add Stream - Coming from TCP/IP Port</a><br>
-&nbsp; &nbsp; &nbsp; 3.14.3 <a href=#streamudp>Add Stream - Coming from UDP Port</a><br>
-&nbsp; &nbsp; &nbsp; 3.14.4 <a href=#streamser>Add Stream - Coming from Serial Port</a><br>
-&nbsp; &nbsp; &nbsp; 3.14.5 <a href=#start>Start</a><br>
-&nbsp; &nbsp; &nbsp; 3.14.6 <a href=#stop>Stop</a><br><br>
-3.15. <a href=#cmd>Command Line Options</a><br>
-&nbsp; &nbsp; &nbsp; 3.15.1. <a href=#nw>No Window Mode</a><br>
-&nbsp; &nbsp; &nbsp; 3.15.2. <a href=#post>Offline Mode</a><br>
-&nbsp; &nbsp; &nbsp; 3.15.3. <a href=#conffile>Configuration File</a><br>
+&nbsp; &nbsp; &nbsp; 3.11.9.2 <a href=#pppaverage>Averaging</a><br>
+3.12. <a href=#combi>Combination</a><br>
+&nbsp; &nbsp; &nbsp; 3.12.1 <a href=#combimounttab>Mountpoints Table</a><br>
+&nbsp; &nbsp; &nbsp; 3.12.1.1 <a href=#combiadd>Add Row</a><br>
+&nbsp; &nbsp; &nbsp; 3.12.1.2 <a href=#combidel>Delete</a><br>
+&nbsp; &nbsp; &nbsp; 3.12.2 <a href=#combimountpnt>Mountpoint</a><br>
+&nbsp; &nbsp; &nbsp; 3.12.2.1 <a href=#combihost>Host</a><br>
+&nbsp; &nbsp; &nbsp; 3.12.2.2 <a href=#combiport>Port</a><br>
+&nbsp; &nbsp; &nbsp; 3.12.2.3 <a href=#combipass>Password</a><br>
+&nbsp; &nbsp; &nbsp; 3.12.2.4 <a href=#combioutdir>Directory, Output</a><br>
+&nbsp; &nbsp; &nbsp; 3.12.2.5 <a href=#combisp3dir>Directory, SP3</a><br><br>
+3.13. <a href=#streams>Streams</a><br>
+&nbsp; &nbsp; &nbsp; 3.13.1 <a href=#streamedit>Edit Streams</a><br>
+&nbsp; &nbsp; &nbsp; 3.13.2 <a href=#streamdelete>Delete Stream</a><br>
+&nbsp; &nbsp; &nbsp; 3.13.3 <a href=#streamconf>Reconfigure Streams On-the-fly</a><br><br>
+3.14. <a href=#logs>Logging</a><br>
+&nbsp; &nbsp; &nbsp; 3.14.1 <a href=#logfile>Log</a><br>
+&nbsp; &nbsp; &nbsp; 3.14.2 <a href=#throughput>Throughput</a><br>
+&nbsp; &nbsp; &nbsp; 3.14.3 <a href=#latency>Latency</a><br>
+&nbsp; &nbsp; &nbsp; 3.14.4 <a href=#ppptab>PPP Plot</a><br><br>
+3.15. <a href=#bottom>Bottom Menu Bar</a><br>
+&nbsp; &nbsp; &nbsp; 3.15.1. <a href=#streamadd>Add Stream - Coming from Caster</a><br>
+&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; 3.15.1.1 <a href=#streamhost>Caster Host and Port</a><br>
+&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; 3.15.1.2 <a href=#streamtable>Casters Table</a><br>
+&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; 3.15.1.3 <a href=#streamuser>User and Password</a><br>
+&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; 3.15.1.4 <a href=#gettable>Get Table</a><br>
+&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; 3.15.1.5 <a href=#ntripv>NTRIP Version</a><br>
+&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; 3.15.1.6 <a href=#map>Map</a><br>
+&nbsp; &nbsp; &nbsp; 3.15.2 <a href=#streamip>Add Stream - Coming from TCP/IP Port</a><br>
+&nbsp; &nbsp; &nbsp; 3.15.3 <a href=#streamudp>Add Stream - Coming from UDP Port</a><br>
+&nbsp; &nbsp; &nbsp; 3.15.4 <a href=#streamser>Add Stream - Coming from Serial Port</a><br>
+&nbsp; &nbsp; &nbsp; 3.15.5 <a href=#start>Start</a><br>
+&nbsp; &nbsp; &nbsp; 3.15.6 <a href=#stop>Stop</a><br><br>
+3.16. <a href=#cmd>Command Line Options</a><br>
+&nbsp; &nbsp; &nbsp; 3.16.1. <a href=#nw>No Window Mode</a><br>
+&nbsp; &nbsp; &nbsp; 3.16.2. <a href=#post>Offline Mode</a><br>
+&nbsp; &nbsp; &nbsp; 3.16.3. <a href=#conffile>Configuration File</a><br>
 </p>
 
@@ -1368,5 +1378,55 @@
 </p>
 
-<p><a name="streams"><h4>3.12. Streams</h4></p>
+<p><a name="combi"><h4>3.12. Combination</h4></p>
+<p>
+Combination.
+</p>
+
+<p><a name="combimounttab"><h4>3.12.1 Mountpoints Table</h4></p>
+<p>
+Mountpoints table.
+</p>
+
+<p><a name="combiadd"><h4>3.12.1.1 Add Row - optional if 'Mountpoint is set</h4></p>
+<p>
+Add.
+</p>
+
+<p><a name="combidel"><h4>3.12.1.2 Delete - optional if 'Mountpoint is set</h4></p>
+<p>
+Delete.
+</p>
+
+<p><a name="combimountpnt"><h4>3.12.2 Mountpoint - optional</h4></p>
+<p>
+Mountpoint.
+</p>
+
+<p><a name="combihost"><h4>3.12.2.1 Host - optional if 'Mountpoint' is set</h4></p>
+<p>
+Host.
+</p>
+
+<p><a name="combiport"><h4>3.12.2.2 Port - mandatory if 'Host' is set</h4></p>
+<p>
+Port.
+</p>
+
+<p><a name="combipass"><h4>3.12.2.3 Password - mandatory if 'Host' is set</h4></p>
+<p>
+Pass.
+</p>
+
+<p><a name="combioutdir"><h4>3.12.2.4 Directory, Output - optional if 'Mountpoint' is set</h4></p>
+<p>
+OutDir.
+</p>
+
+<p><a name="combioutsp3"><h4>3.12.2.5 Directory, SP3 - optional if 'Mountpoint' is set</h4></p>
+<p>
+SP3Dir.
+</p>
+
+<p><a name="streams"><h4>3.13. Streams</h4></p>
 <p>
 Each stream on an NTRIP broadcaster (and consequently on BNC) is defined using a unique source ID called mountpoint. An NTRIP client like BNC access the desired data stream by referring to its mountpoint. Information about streams and their mountpoints is available through the source-table maintained by the NTRIP broadcaster. Note that mountpoints could show up in BNC more than once when retrieving streams from several NTRIP broadcasters.
@@ -1389,5 +1449,5 @@
 </p>
 
-<p><a name="streamedit"><h4>3.12.1 Edit Streams</h4></p>
+<p><a name="streamedit"><h4>3.13.1 Edit Streams</h4></p>
 <ul>
 <li>
@@ -1404,9 +1464,9 @@
 </ul> 
 
-<p><a name="streamdelete"><h4>3.12.2 Delete Stream</h4></p>
+<p><a name="streamdelete"><h4>3.13.2 Delete Stream</h4></p>
 <p>
 To remove a stream from the 'Streams' canvas in the main window, highlight it by clicking on it and hit the 'Delete Stream' button. You can also remove multiple streams simultaneously by highlighting them using +Shift and +Ctrl.</p>
 
-<p><a name="streamconf"><h4>3.12.3 Reconfigure Streams On-the-fly</h4></p>
+<p><a name="streamconf"><h4>3.13.3 Reconfigure Streams On-the-fly</h4></p>
 <p>
 The streams selection can be changed on-the-fly without interrupting uninvolved threads in the running BNC process.
@@ -1418,14 +1478,14 @@
 </p>
 
-<p><a name="logs"><h4>3.13. Logging</h4></p>
+<p><a name="logs"><h4>3.14. Logging</h4></p>
 <p>
 A tabs section on the bottom of the main window provides online control of BNC's activities. Tabs are available to show the records saved in a logfile, for a plot to control the bandwidth consumtion, for a plot showing stream latencies, and for time series plots of PPP results.
 </p>
-<p><a name="logfile"><h4>3.13.1 Log</h4></p>
+<p><a name="logfile"><h4>3.14.1 Log</h4></p>
 <p>
 Records of BNC's activities are shown in the 'Log' tab. They can be saved into a file when a valid path is specified in the 'Logfile (full path)' field.
 </p>
 
-<p><a name="throughput"><h4>3.13.2 Throughput</h4></p>
+<p><a name="throughput"><h4>3.14.2 Throughput</h4></p>
 <p>
 The bandwidth consumption per stream is shown in the 'Throughput' tab in bits per second (bps) or kilo bits per second (kbps). The following figure shows the bandwidth comsumption of incoming streams.
@@ -1437,5 +1497,5 @@
 <p><u>Figure:</u> Bandwidth consumption of incoming streams.</p>
 
-<p><a name="latency"><h4>3.13.3 Latency</h4></p>
+<p><a name="latency"><h4>3.14.3 Latency</h4></p>
 <p>
 The latency of observations in each incoming stream is shown in the 'Latency' tab in milliseconds or seconds. Streams not carrying observations (i.e. those providing only broadcast ephemeris messages) or having an outage are not considered here and shown in red color. Note that the calculation of correct latencies requires the clock of the host computer to be properly synchronized. The next figure shows the latency of incoming streams.
@@ -1447,5 +1507,5 @@
 <p><u>Figure:</u> Latency of incoming streams.</p>
 
-<p><a name="ppptab"><h4>3.13.4 PPP Plot</h4></p>
+<p><a name="ppptab"><h4>3.14.4 PPP Plot</h4></p>
 <p>
 Precise Point Positioning time series of North (red), East (green) and Up (blue) coordinate components are shown in the 'PPP Plot' tab when a 'Origin' option is defined. Values are either referred to reference coordinates (if specified) or referred to the first estimated set of coordinate components. The time as given in format [hh:mm] refers to GPS Time. The sliding PPP time series window covers a period of 5 minutes. Note that it may take up to 30 seconds or more till the first PPP solutions becomes available. The following figure shows the screenshot of a PPP time series plot of North, East and Up coordiate components.
@@ -1457,5 +1517,5 @@
 <p><u>Figure:</u> Time series plot of PPP session.</p>
 
-<p><a name="bottom"><h4>3.14. Bottom Menu Bar</h4></p>
+<p><a name="bottom"><h4>3.15. Bottom Menu Bar</h4></p>
 <p>
 The bottom menu bar allows to add or delete streams to BNC's configuration and to start or stop it. It also provides access to BNC's online help function. The 'Add Stream' button opens a window that allows user to select one of several input communication links, see figure below.
@@ -1465,5 +1525,5 @@
 <p><u>Figure:</u> Steam input communication links.</p>
 
-<p><a name="streamadd"><h4>3.14.1 Add Stream - Coming from Caster</h4></p>
+<p><a name="streamadd"><h4>3.15.1 Add Stream - Coming from Caster</h4></p>
 
 <p>
@@ -1471,10 +1531,10 @@
 </p> 
 
-<p><a name="streamhost"><h4>3.14.1.1 Caster Host and Port - mandatory</h4></p>
+<p><a name="streamhost"><h4>3.15.1.1 Caster Host and Port - mandatory</h4></p>
 <p>
 Enter the NTRIP broadcaster host IP and port number. Note that EUREF and IGS operate NTRIP broadcasters at <u>http://www.euref-ip.net/home</u> and <u>http://www.igs-ip.net/home</u> and <u>http://www.products.igs-ip.net/home</u>.
 </p> 
 
-<p><a name="streamtable"><h4>3.14.1.2 Casters Table - optional</h4></p>
+<p><a name="streamtable"><h4>3.15.1.2 Casters Table - optional</h4></p>
 <p>
 It may be that your are not sure about your NTRIP broadcasters host and port number or you are interested in other broadcaster installations operated elsewhere. Hit 'Show' for a table of known broadcasters maintained at <u>www.rtcm-ntrip.org/home</u>. A window opens which allows to select a broadcaster for stream retrieval, see figure below.
@@ -1485,10 +1545,10 @@
 <p><u>Figure:</u> Casters table.</p>
 
-<p><a name="streamuser"><h4>3.14.1.3 User and Password - mandatory for protected streams</h4></p>
+<p><a name="streamuser"><h4>3.15.1.3 User and Password - mandatory for protected streams</h4></p>
 <p>
 Some streams on NTRIP broadcasters may be restricted. Enter a valid 'User' ID and 'Password' for access to protected streams. Accounts are usually provided per NTRIP broadcaster through a registration procedure. Register through <u>http://igs.bkg.bund.de/ntrip/registeruser</u> for access to protected streams on <u>www.euref-ip.net</u> or <u>www.igs-ip.net</u> or <u>products.igs-ip.net</u>.
 </p> 
 
-<p><a name="gettable"><h4>3.14.1.4 Get Table</h4></p>
+<p><a name="gettable"><h4>3.15.1.4 Get Table</h4></p>
 <p>
 Use the 'Get Table' button to download the source-table from the NTRIP broadcaster. Pay attention to data fields 'format' and 'format-details'. Keep in mind that BNC can only decode and convert streams that come in RTCM Version 2.x, RTCM Version 3.x, or RTIGS format. For access to observations, ephemeris or ephemris correctiors, an RTCM Version 2.x streams must contain message types 18 and 19 or 20 and 21 while an RTCM Version 3.x streams must contain
@@ -1512,5 +1572,5 @@
 <p><u>Figure:</u> Broadcaster source-table.</p>
 
-<p><a name="ntripv"><h4>3.14.1.5 NTRIP Version - mandatory</h4></p>
+<p><a name="ntripv"><h4>3.15.1.5 NTRIP Version - mandatory</h4></p>
 <p>
 Some limitations and deficiencies of the NTRIP version 1 stream transport protocol are solved in NTRIP version 2. Improvements mainly concern a full HTTP compatibility in view of requirements coming from proxy servers. Version 2 is backwards compatible to Version 1. Options implemented in BNC are:
@@ -1533,10 +1593,10 @@
 </p>
 
-<p><a name="map"><h4>3.14.1.6 Map - optional</h4></p>
+<p><a name="map"><h4>3.15.1.6 Map - optional</h4></p>
 <p>
 Button 'Map' opens a window to show a distribution map of the casters's streams. You may like to zoom in or out using option 'Zoom +' or 'Zoom -'. You may also like to 'Clean' or 'Reset' a map or let it 'Fit' exactly to the current size of the window. Option 'Close' shuts the window.
 </p>
 
-<p><a name="streamip"><h4>3.14.2 Add Stream - Coming from TCP/IP Port</h4></p>
+<p><a name="streamip"><h4>3.15.2 Add Stream - Coming from TCP/IP Port</h4></p>
 <p>
 Button 'Add Stream' &gt; 'Coming from TCP/IP Port' allows to retrieve streams via TCP directly from an IP address without using the NTRIP transport protocol. For that you:
@@ -1557,5 +1617,5 @@
 </p>
 
-<p><a name="streamudp"><h4>3.14.3 Add Stream - Coming from UDP Port</h4></p>
+<p><a name="streamudp"><h4>3.15.3 Add Stream - Coming from UDP Port</h4></p>
 <p>
 Button 'Add Stream' &gt; 'Coming from UDP Port' allows to pick up streams arriving directly at one of the local host's UDP ports without using the NTRIP transport protocol. For that you:
@@ -1572,5 +1632,5 @@
 <p>
 
-<p><a name="streamser"><h4>3.14.4 Add Stream - Coming from Serial Port</h4></p>
+<p><a name="streamser"><h4>3.15.4 Add Stream - Coming from Serial Port</h4></p>
 <p>
 Button 'Add Stream' &gt; 'Coming from Serial Port' allows to retrieve streams from a GNSS receiver via serial port without using the NTRIP transport protocol. For that you:
@@ -1612,20 +1672,20 @@
 <p><u>Figure:</u> BNC setup for pulling a stream via serial port.</p>
 
-<p><a name="start"><h4>3.14.5 Start</h4></p>
+<p><a name="start"><h4>3.15.5 Start</h4></p>
 <p>
 Hit 'Start' to start retrieving, decoding, and converting GNSS data streams in real-time. Note that 'Start' generally forces BNC to begin with fresh RINEX which might overwrite existing files when necessary unless the option 'Append files' is ticked.
 </p> 
 
-<p><a name="stop"><h4>3.14.6 Stop</h4></p>
+<p><a name="stop"><h4>3.15.6 Stop</h4></p>
 <p>
 Hit the 'Stop' button in order to stop BNC. 
 </p> 
 
-<p><a name="cmd"><h4>3.15. Command Line Options</h4></p>
+<p><a name="cmd"><h4>3.16. Command Line Options</h4></p>
 <p> 
 Command line options are available to run BNC in 'no window' mode or let it read data from a file in offline mode. BNC will then use processing options from the configuration file. Note that the self-explaining contents of the configuration file can easily be edited. It is possible to introduce a specific configuration file name instead of using the default name 'BNC.ini'.
 </p> 
 
-<p><a name="nw"><h4>3.15.1 No Window Mode - optional</h4></p>
+<p><a name="nw"><h4>3.16.1 No Window Mode - optional</h4></p>
 <p>
 Apart from its regular windows mode, BNC can be started on all systems as a background/batch job with command line option '-nw'. BNC will then run in 'no window' mode, using processing options from its configuration file on disk. Terminate BNC using Windows Task Manager when running it in 'no window' mode on Windows systems.
@@ -1636,7 +1696,7 @@
 </p>
 
-<p><a name="post"><h4>3.15.2 Offline Mode - optional</h4></p>
-<p>
-Although BNC is primarily a real-time online tool, it can be run in offline mode to read data from a previously saved file for post-processing purposes. Enter the following command line options for that:
+<p><a name="post"><h4>3.16.2 Offline Mode - optional</h4></p>
+<p>
+Although BNC is primarily a real-time online tool, it can be run in offline mode to read data from a previously saved file (see chapter on saving 'Raw Output File') for post-processing purposes. Enter the following command line options for that:
 </p>
 <p>
@@ -1644,8 +1704,14 @@
 <li>'--file &lt;<u>inputFileName</u>&gt;' to enter the full path to an input file containing data previously saved by BNC.</li>
 <li>'--format &lt;<u>format</u>&gt;' to enter one of the file format describing strings 'RTCM_2', 'RTCM_3' or 'RTIGS'.</li>
+<li>'--staID &lt;<u>stationID</u>&gt;' to enter the mountpoint of one of the streams contained in the input file. This allows you to</li>
+<ul>
+<li>carry out an offline PPP solution using one particular (of probably several) orbit/clock corrections stream contained in the input file.</li>
+<li>offline convert one specific stream (of probably several streams) contained in the input file into a RINEX file.</li>
+</ul>
+
 </ul>
 <p>
 Example:<br><br>
-./bnc --file FFMJ.dat --format RTCM_3
+./bnc --file raw.output_110301 --format RTCM_3 --staID FFMJ1
 </p>
 <p>
@@ -1653,5 +1719,5 @@
 </p> 
 
-<p><a name="conffile"><h4>3.15.3 Configuration File - optional</h4></p>
+<p><a name="conffile"><h4>3.16.3 Configuration File - optional</h4></p>
 The default configuration file name is 'BNC.ini'. You may change this name at startup time using the command line option '--conf &lt;<u>confFileName</u>&gt;'. This allows to run several BNC jobs in parallel on the same host using different sets of configuration options. <u>confFileName</u> stands either for the full path to a configuration file or just for a file name. If you introduce only a filename, the corresponding file will be saved in the current working directory from where BNC is started.
 </p>
@@ -1839,5 +1905,5 @@
 
 <tr>
-<td>Feb 2011 &nbsp;</td><td>Version 2.6 &nbsp;</td>
+<td>Mar 2011 &nbsp;</td><td>Version 2.6 &nbsp;</td>
 <td>[Add]</td>
 </tr>